package com.zanxiang.manage.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.common.domain.ResultVo;
import com.zanxiang.manage.domain.params.GameListParam;
import com.zanxiang.manage.domain.vo.GameChoiceVO;
import com.zanxiang.manage.domain.vo.GameListVO;
import com.zanxiang.manage.service.GameService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-06-30
 * @description : 游戏管理接口
 */
@Api(tags = {"游戏管理接口"})
@RestController
@RequestMapping("/game")
@Slf4j
public class GameController {

    @Autowired
    private GameService gameService;

    @ApiOperation(value = "游戏列表查询")
    @PostMapping(value = "/list")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = GameListVO.class)})
    public ResultVo<IPage<GameListVO>> gameList(@RequestBody GameListParam param) {
        return new ResultVo<>(gameService.gameList(param));
    }

    @ApiOperation(value = "游戏选择列表查询")
    @GetMapping(value = "/choice/list")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = GameChoiceVO.class, responseContainer = "list")})
    public ResultVo<List<GameChoiceVO>> choiceList() {
        return new ResultVo<>(gameService.choiceList());
    }
}
