package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-07-06
 * @description : 游戏列表展示
 */
@Data
public class GameListVO {

    /**
     * 游戏ID
     */
    @ApiModelProperty(notes = "游戏ID")
    private Long id;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String name;

    /**
     * 游戏类型id
     */
    @ApiModelProperty(notes = "游戏类型id")
    private Long category;

    /**
     * CPID
     */
    @ApiModelProperty(notes = "CPID")
    private Long cpId;

    /**
     * 分成比例
     */
    @ApiModelProperty(notes = "分成比例")
    private Double shareScale;

    /**
     * 游戏类别
     */
    @ApiModelProperty(notes = "游戏类别id")
    private Integer classify;

    /**
     * 是否父游戏
     */
    @ApiModelProperty(notes = "是否主游戏")
    private Boolean isParentGame;

    /**
     * 主游戏id
     */
    @ApiModelProperty(notes = "主游戏id")
    private Long parentId;

    /**
     * 关联h5游戏id
     */
    @ApiModelProperty(notes = "关联h5游戏id")
    private Long h5GameId;

    /**
     * 关联导量游戏id
     */
    @ApiModelProperty(notes = "关联导量游戏id")
    private Long guideGameId;

    /**
     * 支付方式列表
     */
    @ApiModelProperty(notes = "支付方式列表")
    private List<GamePayWayVO> gamePayWayVOList;

    /**
     * 游戏订单起量切换以及规则配置
     */
    @ApiModelProperty(notes = "游戏订单起量切换以及规则配置")
    private List<GameStrategyVO> gameStrategyVOList;

    /**
     * CP回调地址
     */
    @ApiModelProperty(notes = "CP回调地址")
    private String cpPaybackUrl;

    /**
     * 游戏地址
     */
    @ApiModelProperty(notes = "游戏地址")
    private String gameUrl;
}
